Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-25772

SubversionRevisionBuildTriggerConfigTest.testRevisionParameter fails with SSL handshake

    XMLWordPrintable

    Details

    • Similar Issues:

      Description

      p2 should be in queue (quiet period):
      Started by user SYSTEM Building in workspace /tmp/hudson1485739044079280000test/workspace/test0
      Checking out a fresh workspace because there's no workspace at /tmp/hudson1485739044079280000test/workspace/test0
      Cleaning workspace /tmp/hudson1485739044079280000test/workspace/test0
      Checking out https://svn.jenkins-ci.org/trunk/hudson/test-projects/trivial-ant@13000
      ERROR: Failed to check out https://svn.jenkins-ci.org/trunk/hudson/test-projects/trivial-ant@13000
      org.tmatesoft.svn.core.SVNException: svn: OPTIONS /trunk/hudson/test-projects/trivial-ant failed
      at org.tmatesoft.svn.core.internal.io.dav.http.HTTPConnection.request(HTTPConnection.java:291)
      ...
      at hudson.scm.subversion.CheckoutUpdater$1.perform(CheckoutUpdater.java:83)
      ...
      at hudson.scm.SubversionSCM.checkout(SubversionSCM.java:633)
      at hudson.model.AbstractProject.checkout(AbstractProject.java:1256)
      ...
      Caused by: javax.net.ssl.SSLHandshakeException: Received fatal alert: handshake_failure
      at sun.security.ssl.Alerts.getSSLException(Alerts.java:192)
      ...
      

        Attachments

          Activity

          Hide
          ikedam ikedam added a comment -

          svn.jenkins-ci.org may no longer support SSL (only support TLS) for the vulnerability of SSL (CVE-2014-3566).
          svnkit looks support TLS since 1.3.6.

          subversion-plugin jenkins core svnkit test
          1.25 1.399 1.3.4-jenkins-4 fails with javax.net.ssl.SSLHandshakeException: Received fatal alert: handshake_failure
          1.36 1.405 1.3.6-jenkins-1 fails with java.lang.ClassNotFoundException: de.regnis.q.sequence.line.QSequenceLineRAData (JENKINS-11901)
          1.37 1.405 1.3.6-jenkins-1 succeeds (quickfix for JENKINS-11901)
          1.38 1.405 1.3.6-jenkins-2 succeeds
          Show
          ikedam ikedam added a comment - svn.jenkins-ci.org may no longer support SSL (only support TLS) for the vulnerability of SSL (CVE-2014-3566). svnkit looks support TLS since 1.3.6. subversion-plugin jenkins core svnkit test 1.25 1.399 1.3.4-jenkins-4 fails with javax.net.ssl.SSLHandshakeException: Received fatal alert: handshake_failure 1.36 1.405 1.3.6-jenkins-1 fails with java.lang.ClassNotFoundException: de.regnis.q.sequence.line.QSequenceLineRAData ( JENKINS-11901 ) 1.37 1.405 1.3.6-jenkins-1 succeeds (quickfix for JENKINS-11901 ) 1.38 1.405 1.3.6-jenkins-2 succeeds
          Show
          ikedam ikedam added a comment - https://github.com/jenkinsci/parameterized-trigger-plugin/pull/75

            People

            • Assignee:
              ikedam ikedam
              Reporter:
              ikedam ikedam
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: